{% extends 'layout/templates.html' %}
{% load static %}
{% block judul %}Schedule Table{% endblock %}

{% block content %}

    <!-- Header -->
    <header class="masthead d-flex">
        <div class="container-fluid text-right">
            <div class="row my-contact">
                <div class="col-md-8 img-banner"></div>
                <div class="col-md-12 text-banner-contact page-header" style="position: absolute;">
                    <h1 class="mb-1">This is My Schedule</h1>
                    <h5>How about yours?</h5>
                </div>
            </div>
        </div>
        <div class="overlay"></div>
    </header>

    <!-- Tabel -->
    <section class="table-form">
        <table class="table">
            <thead>
                <th>Course</th>
                <th>Category</th>
                <th>Place</th>
                <th>Date Time</th>
            </thead>
            <tbody>
                <!-- TODO, Kalau nama/email anon maka tr classnya jadi warning -->
                {% for i in courses %}
                {% if i.course_name == 'Anonymous'%}
                <tr class="warning"> {% else %} <tr class="success">
                    {% endif %}
                    <td> {{i.course_name}} </td>
                    <td> {{i.course_category}} </td>
                    <td> {{i.course_place}} </td>
                    <td> {{i.course_time}} </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </section>
    <form action="{% url 'delete_form' %}" id="form" style="margin:20px">
        <button type="submit" class="btn btn-success">Delete</button>
    </form>


{% endblock %}
